package com.cosmodas.EntCosmos;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "vCargos")
@NamedQueries({ @NamedQuery( name = "VCargos.fCargosPedienes", query = "SELECT v from VCargos v where v.consultorCodigo = :consultorCodigo and v.cargoPendiente > 0.00 ORDER BY v.cargoFechaFactura ASC ")})
public class VCargos implements Serializable {

    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Column(name = "factura_serie")
    private String facturaSerie;
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Column(name = "documento_codigo")
    private String documentoCodigo;
    @Column(name = "cargo_fecha_factura")
    private Date cargoFechaFactura;
    @Column(name = "cargo_valor")
    private BigDecimal cargoValor;
    @Column(name = "cargo_pendiente")
    private BigDecimal cargoPendiente;
    @Column(name = "credito")
    private boolean credito;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public String getDocumentoCodigo() {
        return documentoCodigo;
    }

    public void setDocumentoCodigo(String documentoCodigo) {
        this.documentoCodigo = documentoCodigo;
    }

    public Date getCargoFechaFactura() {
        return cargoFechaFactura;
    }

    public void setCargoFechaFactura(Date cargoFechaFactura) {
        this.cargoFechaFactura = cargoFechaFactura;
    }

    public BigDecimal getCargoValor() {
        return cargoValor;
    }

    public void setCargoValor(BigDecimal cargoValor) {
        this.cargoValor = cargoValor;
    }

    public BigDecimal getCargoPendiente() {
        return cargoPendiente;
    }

    public void setCargoPendiente(BigDecimal cargoPendiente) {
        this.cargoPendiente = cargoPendiente;
    }

    public boolean isCredito() {
        return credito;
    }

    public void setCredito(boolean credito) {
        this.credito = credito;
    }

    public VCargos(String id, String consultorCodigo, String facturaCodigo, String facturaSerie, String programaCodigo, String documentoCodigo, Date cargoFechaFactura, BigDecimal cargoValor, BigDecimal cargoPendiente, boolean credito) {
        this.id = id;
        this.consultorCodigo = consultorCodigo;
        this.facturaCodigo = facturaCodigo;
        this.facturaSerie = facturaSerie;
        this.programaCodigo = programaCodigo;
        this.documentoCodigo = documentoCodigo;
        this.cargoFechaFactura = cargoFechaFactura;
        this.cargoValor = cargoValor;
        this.cargoPendiente = cargoPendiente;
        this.credito = credito;
    }

    public VCargos() {
    }


}
